<?php
// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
	<div class="taamul-contain">
		<?php 
	include_once plugin_dir_path( dirname( __FILE__ ) ) . 'partials/taamul-overview-report.php';
	$country = get_country_count();
	$device  = get_device_count();
	$browser = get_browser_count();

	?>
		<div class="taamul-row">
			<div class="taamul-col col-xs-12 col-md-4">
				<div class="taamul-dashboard-card-group">
					<h2>Your top countries</h2>
					<div class="taamul-dashboard-card">
						<div class="taamul-dashboard-card-block">
							<?php if( isset( $country[0] ) && !empty( $country[0] ) ){ ?>
								<div class="taamul-list-group-item taamul-rounded" >
									<img src="<?php echo courtry_file_exist( $country[0]->country_code ); ?>" alt="Coutry flag" style="width: 24px;height: 24px;border-radius: 100%;object-fit: cover;" >
									<h3 style="margin-left: 10px;" ><?php echo !empty( $country[0]->country ) ? $country[0]->country : 'No Country Found'; ?></h3>
								</div>
							<?php }
							if( isset( $country[1] ) && !empty( $country[1] ) ){ ?>
								<div class="taamul-list-group-item taamul-rounded">
									<img src="<?php echo courtry_file_exist( $country[1]->country_code ); ?>" alt="Coutry flag" style="width: 24px;height: 24px;border-radius: 100%;object-fit: cover;" >
									<h3 style="margin-left: 10px;" ><?php echo !empty( $country[1]->country ) ? $country[1]->country : 'No Country Found'; ?></h3>
								</div>
							<?php }
							if( isset( $country[2] ) && !empty( $country[2] ) ){ ?>
								<div class="taamul-list-group-item taamul-rounded">
									<img src="<?php echo courtry_file_exist( $country[2]->country_code ); ?>" alt="Coutry flag" style="width: 24px;height: 24px;border-radius: 100%;object-fit: cover;" >
									<h3 style="margin-left: 10px;" ><?php echo !empty( $country[2]->country ) ? $country[2]->country : 'No Country Found'; ?></h3>
								</div>
							<?php } ?>
						</div>
						<div class="taamul-dashboard-card-block">
							<?php if( isset( $country[0] ) && !empty( $country[0] ) ){ ?>
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $country[0]->number ) ? $country[0]->number : '0'; ?></h3>
								</div>
							<?php }
							if( isset( $country[1] ) && !empty( $country[1] ) ){ ?>
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $country[1]->number ) ? $country[1]->number : '0'; ?></h3>
								</div>
							<?php }
							if( isset( $country[2] ) && !empty( $country[2] ) ){ ?>
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $country[2]->number ) ? $country[2]->number : '0'; ?></h3>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
			<div class="taamul-col col-xs-12 col-md-4">
				<div class="taamul-dashboard-card-group">
					<h2>Your top Devices</h2>
					<div class="taamul-dashboard-card">
						<div class="taamul-dashboard-card-block">
							<?php if( isset( $device[0] ) && !empty( $device[0] ) ){ ?>
								<div class="taamul-list-group-item">
									<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/dashboard/'.$device[0]->device.'.svg'; ?>" alt="" style="width: 24px;height: 24px;">
									<h3 style="margin-left: 10px;" ><?php echo isset( $device[0]->device ) ? $device[0]->device : '0'; ?></h3>
								</div>
							<?php }
							if( isset( $device[1] ) && !empty( $device[1] ) ){ ?>
								<div class="taamul-list-group-item">
								<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/dashboard/'.$device[1]->device.'.svg'; ?>" alt="" style="width: 24px;height: 24px;">
									<h3 style="margin-left: 10px;" ><?php echo isset( $device[1]->device ) ? $device[1]->device : '0'; ?></h3>
								</div>
							<?php }
							if( isset( $device[2] ) && !empty( $device[2] ) ){ ?>
								<div class="taamul-list-group-item">
									<img src="<?php echo plugin_dir_url( __DIR__ ) .'img/dashboard/'.$device[2]->device.'.svg'; ?>" alt="" style="width: 24px;height: 24px;">
									<h3 style="margin-left: 10px;" ><?php echo isset( $device[2]->device ) ? $device[2]->device : '0'; ?></h3>
							</div>
							<?php } ?>
						</div>
						<div class="taamul-dashboard-card-block">
							<?php if( isset( $device[0] ) && !empty( $device[0] ) ){ ?>
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $device[0]->number ) ? $device[0]->number : '0'; ?></h3>
								</div>
							<?php }
							if( isset( $device[1] ) && !empty( $device[1] ) ){ ?>
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $device[1]->number ) ? $device[1]->number : '0'; ?></h3>
								</div>
							<?php }
							if( isset( $device[2] ) && !empty( $device[2] ) ){ ?>
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $device[2]->number ) ? $device[2]->number : '0'; ?></h3>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
			<div class="taamul-col col-xs-12 col-md-4">
				<div class="taamul-dashboard-card-group">
					<h2>Your top Browser</h2>
					<div class="taamul-dashboard-card">
						<div class="taamul-dashboard-card-block">
							<?php if( isset( $browser[0] ) && !empty( $browser[0] ) ){ ?>	
								<div class="taamul-list-group-item">
									<img src="<?php echo browser_file_exist( $browser[0]->browser ); ?>" alt="" style="width: 24px;height: 24px;">
									<h3 style="margin-left: 10px;" ><?php echo !empty( $browser[0]->browser ) ? $browser[0]->browser : 'No Browser Found'; ?></h3>
								</div>
							<?php }
							if( isset( $browser[1] ) && !empty( $browser[1] ) ){ ?>
								<div class="taamul-list-group-item">
									<img src="<?php echo browser_file_exist( $browser[1]->browser ); ?>" alt="" style="width: 24px;height: 24px;">
									<h3 style="margin-left: 10px;" ><?php echo !empty( $browser[1]->browser ) ? $browser[1]->browser : 'No Browser Found'; ?></h3>
								</div>
							<?php }
							if( isset( $browser[2] ) && !empty( $browser[2] ) ){ ?>
								<div class="taamul-list-group-item">
									<img src="<?php echo browser_file_exist( $browser[2]->browser ); ?>" alt="" style="width: 24px;height: 24px;">
									<h3 style="margin-left: 10px;" ><?php echo !empty( $browser[2]->browser ) ? $browser[2]->browser : 'No Browser Found'; ?></h3>
								</div>
							<?php } ?>
						</div>
						<div class="taamul-dashboard-card-block"> 
							<?php if( isset( $browser[0] ) && !empty( $browser[0] ) ){ ?>	
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $browser[0]->number ) ? $browser[0]->number : '0'; ?></h3>
								</div>
							<?php }
							if( isset( $browser[1] ) && !empty( $browser[1] ) ){ ?>
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $browser[1]->number ) ? $browser[1]->number : '0'; ?></h3>
								</div>
							<?php }
							if( isset( $browser[2] ) && !empty( $browser[2] ) ){ ?>
								<div class="taamul-list-group-item">
									<h3><?php echo isset( $browser[2]->number ) ? $browser[2]->number : '0'; ?></h3>
								</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<div class="taamul-row">
			<div class="taamul-col col-xs-12 col-md-6">
				<div class="taamul-dashboard-card-group">
					<h2>Quick Links</h2>
					<div class="taamul-dashboard-card">
						<div class="taamul-dashboard-card-block">
							<a class="taamul-mb-20" href="https://taamul.com/blog/" target="_blank">
								<svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
									<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 6.253v13m0-13C10.832 5.477 9.246 5 7.5 5S4.168 5.477 3 6.253v13C4.168 18.477 5.754 18 7.5 18s3.332.477 4.5 1.253m0-13C13.168 5.477 14.754 5 16.5 5c1.747 0 3.332.477 4.5 1.253v13C19.832 18.477 18.247 18 16.5 18c-1.746 0-3.332.477-4.5 1.253"></path>
								</svg>
								<h3>Getting started? Read the Blog </h3> </a>
							<a class="taamul-mb-20" href="https://taamul.com/changelog/" target="_blank">
								<svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
									<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M12 8v4l3 3m6-3a9 9 0 11-18 0 9 9 0 0118 0z"></path>
								</svg>
								<h3>View the Changelog </h3> </a>
							<a class="taamul-mb-20" href="https://taamul.com/contact/" target="_blank">
								<svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
									<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8h2a2 2 0 012 2v6a2 2 0 01-2 2h-2v4l-4-4H9a1.994 1.994 0 01-1.414-.586m0 0L11 14h4a2 2 0 002-2V6a2 2 0 00-2-2H5a2 2 0 00-2 2v6a2 2 0 002 2h2v4l.586-.586z"></path>
								</svg>
								<h3>Share your feedback to improve our plugin! </h3> </a>
						</div>
					</div>
				</div>
			</div>
			<div class="taamul-col col-xs-12 col-md-6">
				<div class="taamul-dashboard-card-group">
					<h2>Upcoming Features</h2>
					<div class="taamul-dashboard-card">
						<div class="taamul-dashboard-card-block">
							<a class="taamul-mb-20" href="" target="_blank">
								<svg class="w-6 h-6" fill="none" stroke="#00b07f" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M13 9l3 3m0 0l-3 3m3-3H8m13 0a9 9 0 11-18 0 9 9 0 0118 0z"></path></svg>
								<h3>Custom Color Settings </h3> </a>
							<a class="taamul-mb-20" href="" target="_blank">
								<svg class="w-6 h-6" fill="none" stroke="#00b07f" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M13 9l3 3m0 0l-3 3m3-3H8m13 0a9 9 0 11-18 0 9 9 0 0118 0z"></path></svg>
								<h3>Reactions Styles</h3> </a>
							<a class="taamul-mb-20" href="" target="_blank">
								<svg class="w-6 h-6" fill="none" stroke="#00b07f" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M13 9l3 3m0 0l-3 3m3-3H8m13 0a9 9 0 11-18 0 9 9 0 0118 0z"></path></svg>	
								<h3>Select specific pages to show this widget & more!...</h3> </a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>